Bug 79893 - Very strange video output problem with SM501 graphics card
Summary: Very strange video output problem with SM501 graphics card
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/siliconmotion (show other bugs)
Version: git
Hardware: Other All
: medium critical
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-10 18:13 UTC by Laércio de Sousa
Modified: 2018-08-10 20:46 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Very strange error on SM501 graphics card (872.09 KB, image/jpeg)
2014-06-10 18:13 UTC, Laércio de Sousa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laércio de Sousa 2014-06-10 18:13:58 UTC
Created attachment 100837 [details]
Very strange error on SM501 graphics card

I have a multiseat computer consisting of an onboard Intel series 4 video chip and an external Silicon Motion SM501 PCI graphics card.

I also have a dual-boot Linux install, with a legacy Ubuntu 10.04 LTS with Userful Multiseat and a modern systemd-based Linux Distro (Fedora 20, openSUSE 13.1, Ubuntu 14.04 LTS, etc.).

When I boot the modern distro for the very first time, I got a strange error in the SM501 video output, as you can see in the attached image. Nevertheless, I can access that display normally via VNC.

If I reboot my computer in Ubuntu 10.04 + Userful Multiseat, then SM501 video output goes back to normal. After that, I can reboot my system safely to the modern distro, without getting that problem again. However, if I turn the computer off, and then turn it on again, the problem returns.

NOTE: Modern distro uses xorg-server-1.15 and xf86-video-siliconmotion-1.7.7 open source driver. Ubuntu 10.04 uses Userful proprietary X server based on modified xorg-server 1.5.3, with proprietary siliconmotion driver.

I have absolutely no idea of where to begin debugging siliconmotion driver.
Comment 1 Tom Li 2014-06-13 02:04:20 UTC
Please fix the MIME type of you attached image.
Comment 2 Laércio de Sousa 2014-06-24 11:13:27 UTC
MIME type fixed.
Comment 3 teddy 2014-08-05 03:25:15 UTC
The new  Linux Distro has some problem in writing PCI config space. You can enable memory IO access manually. You can check SM501 PCI config space address 0x04,bit 1. Please let this bit to be "1".
Comment 4 Laércio de Sousa 2016-03-24 18:12:04 UTC
Hi Teddy!

Querying my SM501 PCI config space with command "lspci -xxx", I've found that current value at address 0x04 is 0x023001e, which means 0x04 bit 1 is already "1", but the problem persists.
Comment 5 Laércio de Sousa 2016-03-28 12:15:21 UTC
Investigating a bit further, I've found that this bug may be related to my particular hardware. My SM501 video cards are of model "TN-502 Dual", from brazilian manufactor ThinGlobal (a.k.a. ThinNetworks). It has a native VGA output and a LVDS video output adapted to a VGA connector via a flat cable. Only the LVDS output manifests this bug.

Another useful information: among the 9 of such cards I have in my lab, only 3 are affected by this bug premanently, and one is affected randomly.
Comment 6 GitLab Migration User 2018-08-10 20:46:54 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/driver/xf86-video-siliconmotion/issues/4.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.